コンテンツへスキップ

Turbo Flux Trainer

統合

モデルID turbo-flux-trainer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/turbo-flux-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $2.40 2,400 APIクレジット このページで実行

APIキーを取得
Black Forest Labs トレーニング 高速

画像のzipから、被写体またはスタイル用のFLUX dev LoRAを学習します。ステップ数と学習率を制御できます

Black Forest Labs · ファイル

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

学習画像アーカイブURL。同じスタイルの画像を含むzipを指定し、10枚以上を推奨します。画像セットが大きいほど適しています。

デフォルト 1000

LoRAの学習ステップ数。

詳細設定 training_style · trigger_phrase · learning_rate · face_crop
training_style デフォルト subject

学習スタイルの選択。

デフォルト ohwx

既存のキャプション内の`[trigger]`を置き換える、またはキャプションがない場合のキャプションとして使用するトリガーフレーズを指定します(trigger_work)。Noneにするとトリガーワードを無効にします。

デフォルト 0.00115

学習中に使用する学習率。

POST /run/turbo-flux-trainer?wait=20 見積もり → $2.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/turbo-flux-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Turbo Flux Trainerについて

`images_data_url`で指定した画像のzipアーカイブからカスタムLoRA重みを生成する学習モデルです。少なくとも10枚の画像が推奨されます。`training_style`をsubjectまたはstyleに設定し、`trigger_phrase`(デフォルトはohwx)を選択して、`steps`(1~10000)と`learning_rate`を調整します。`face_crop`を使うと検出した顔に合わせて画像を切り抜けます。出力はdiffusers LoRA重みファイルと設定ファイルです。

パラメータ

名前型 デフォルト許可される値 説明
images_data_url必須
型string
学習画像アーカイブURL。同じスタイルの画像を含むzipを指定し、10枚以上を推奨します。画像セットが大きいほど適しています。
trigger_phrase任意
型string | null
デフォルトohwx
既存のキャプション内の`[trigger]`を置き換える、またはキャプションがない場合のキャプションとして使用するトリガーフレーズを指定します(trigger_work)。Noneにするとトリガーワードを無効にします。
steps任意
型integer
デフォルト1000
1 – 10,000
LoRAの学習ステップ数。
learning_rate任意
型number
デフォルト0.00115
0 – 0.01
学習中に使用する学習率。
training_style任意
型enum
デフォルトsubject
subjectstyle
学習スタイルの選択。
face_crop任意
型boolean
デフォルトtrue
顔ベースの画像クロップを有効にし、まず顔の検出を試みます。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "turbo-flux-trainer",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2400,
    "usd": "2.40",
    "charged": 2400,
    "refunded": 0
  },
  "input": {
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "diffusers_lora_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "config_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
diffusers_lora_file
object {url, content_type, file_name, file_size}diffusers形式のトレーニング済みLoRA重みを指すURL。
config_file
object {url, content_type, file_name, file_size}学習済みdiffusersモデルの設定ファイルURL。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/turbo-flux-trainer.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt